Modems
Get all modems
This request will return all your modems
Example
https://mobile.proxy-seller.com/api/v1/modemsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
[
{
"id": "63c234098746e15666325bf9f",
"ip": "",
"use": false,
"status": "DOWN",
"ipProxy": "101.111.44.191",
"portHttp": "40303",
"portSocks": "50303",
"simProvider": "MTS UKR",
"simNumber": null,
"hostId": "21vjv1224n45v7457mvcas"
}
]AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHChange modem IP
This request changes the IP of the specified modem.
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/change-ipPath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
value* | String | ip address to be set on the modem |
Example request body:
{
"value": "127.0.0.1"
}Response
trueAUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_MODEM_ID,
INVALID_IP_ADDRESSINVALID_MODEMSet modem on PAUSE
This request pauses the modem's operation
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/pausePath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"success": false,
"response": "modem-already-unused",
"code": 0
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHMODEM_NOT_FOUND,
(body can content error description, if error on pause occurred)UNPAUSE modem
This request resumes the modem on pause
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/unpausePath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | Id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"success": false,
"response": "modem-already-used",
"code": 0
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHMODEM_NOT_FOUND,
(body can content error description, if error on pause occurred)Reboot modem
Reboot a specific modem.
This request reboot selected modem.
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/rebootPath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHModem rotation
Set or change rotation settings on your modem.
This request set or change modem rotation.
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/rotationHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Query parameters
Name | Type | Description |
|---|---|---|
rotation* | Number | rotation time on min |
If you set 5 min rotation modem will change rotaton every 5 min.
If the rotation is not set, it will be reset
Example request with query
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/rotation?rotation=5Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_MODEMModem authorizations
Get modem authorization.
This request returns all authorizations that are set on the modem
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/authsPath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | Id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
[
{
"id": "62326bcaf3904578675f9ef7",
"authType": "LOGIN",
"login": "jAck",
"password": "re456pas",
"ip": ""
}
]AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCH INVALID_MODEMLimit for modems
If you need to set a speed or traffic limit within the modem.
This request sets limits on the modem.
Attention! If the modem has authorizations (users) and proxy limits are set on at least one of them, at the moment of setting limits on the modem, all limits from authorizations will be reset
Example
https://mobile.proxy-seller.com/api/v1/modems/proxyLimitHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
modemIds* | Array of string | Array of modem id |
speedLimit* | Number | modem speed limit in bits |
trafficLimit* | Number | traffic speed limit in bits |
outOfLimitNotifications* | Boolean | to notify me of the end of the limit? |
Example request body
{
"modemIds": ["63c234098746e15666325bf9f"],
"speedLimit": 209715200,
"trafficLimit" 4294967296,
"outOfLimitNotifications": false
}Response
{
"failedModems": []
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCH,
MODEM_${id}_HAVE_INSUFFICIENT_PRIVELIGIESINVALID_MODEM_IDSMODEM_NOT_FOUND, RATE_NOT_FOUNDSend a report
If you encounter a problem with your modem, please submit a report.
This point sends a report of a problem with one or more modems.
Example
https://mobile.proxy-seller.com/api/v1/modems/reportHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
hostId* | String | id of host |
modemIds* | Array of string | Array of modem id |
description* | String | description of problem with modem |
locale* | string | language, at now you can sent "en" |
Example request body
{
"hostId": "21vjv1224n45v7457mvcas",
"modemIds": [
"63c234098746e15666325bf9f"
],
"description": "not working",
"locale": "en"
}Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHMODEM_${id}_NOT_FOUNDDelete modems limits
This request removes all set limits from the modem.
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9f/proxyLimitsPath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
trueAUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHDelete modem
This request removes modem.
Be careful it can cause irreversible effects.
Example
https://mobile.proxy-seller.com/api/v1/modems/63c234098746e15666325bf9fPath parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCH